import { OpgpKeyBlueprint } from './proxy-key';
import Promise = require('bluebird');
export interface LiveKeyFactoryBuilder {
    (config: LiveKeyFactoryConfig): LiveKeyFactory;
}
export interface LiveKeyFactoryConfig {
    openpgp: any;
}
export interface LiveKeyFactory {
    (key: any, opts?: LiveKeyFactoryOpts): Promise<OpgpLiveKey>;
}
export interface LiveKeyFactoryOpts {
}
export interface OpgpLiveKey {
    key: any;
    bp: OpgpKeyBlueprint;
    armor(): Promise<string>;
    toPublicKey(): Promise<OpgpLiveKey>;
    unlock(passphrase: string, opts?: LiveKeyUnlockOpts): Promise<OpgpLiveKey>;
    lock(passphrase: string, opts?: LiveKeyLockOpts): Promise<OpgpLiveKey>;
    sign(text: string, opts?: LiveKeySignOpts): Promise<string>;
    verify(armor: string, opts?: LiveKeyVerfyOpts): Promise<string | false>;
}
export interface LiveKeyLockOpts {
}
export interface LiveKeyUnlockOpts {
}
export interface LiveKeySignOpts {
}
export interface LiveKeyVerfyOpts {
}
declare const getLiveKeyFactory: LiveKeyFactoryBuilder;
export default getLiveKeyFactory;
